Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Enum EstimationType

    java.lang.Object
      java.lang.Enum<EstimationType>
          umontreal.iro.lecuyer.contactcenters.app.EstimationType

All Implemented Interfaces:
  Serializable, Comparable<EstimationType>

    public enum EstimationType

extends Enum<EstimationType>

Represents the type of estimation specified for a group of performance measures. The estimation type gives clues on how performance measures are estimated.

Enum Constant Summary
`EXPECTATION` Estimation of an expectation, by an average in the case of simulation.
`EXPECTATIONOFFUNCTION` Estimation of the expectation of a function of several random variables whose expectations are themselves represented by other types of performance measures.
`FUNCTIONOFEXPECTATIONS` Estimation of a function of multiple expectations, e.g., a ratio of expectations.
`RAWSTATISTIC` Raw statistics which do not estimate expectations.

Method Summary
`static EstimationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EstimationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RAWSTATISTIC

    public static final EstimationType RAWSTATISTIC

  Raw statistics which do not estimate expectations. For example, this can be the maximal queue size during a simulation, which has no average or sample variance. When simulating multiple replications, one observation of each raw statistic is available for each replication. On the other hand, if a single replication is simulated, which occurs when using batch means, only a single observation of the raw statistics is generated.

### EXPECTATION

    public static final EstimationType EXPECTATION

  Estimation of an expectation, by an average in the case of simulation. Most expectations correspond to rates, which are part of groups of performance measures whose names begin with `RATEOF`, and which are expected counts of certain event types occurring during a time interval, For example, `PerformanceMeasureType.RATEOFABANDONMENT` is defined as the expected rate of contacts having abandoned without receiving service during some time interval. Types of performance measures whose names begin with `SUM` are also normalized the same way as rates. By default, rates are considered relative to one main period, so `PerformanceMeasureType.RATEOFABANDONMENT` corresponds to the expected number of contacts having abandoned during a main period. However, if the `normalizeToDefaultUnit` attribute in simulation parameters is set to `true`, rates are treated as relative to one simulation time unit. Expected time-averages, which are not normalized as rates, are part of groups with names beginning with `AVG`, e.g., `PerformanceMeasureType.AVGQUEUESIZE` for the time-average queue size.

### FUNCTIONOFEXPECTATIONS

    public static final EstimationType FUNCTIONOFEXPECTATIONS

  Estimation of a function of multiple expectations, e.g., a ratio of expectations. Functions of expectations, estimated by functions of averages in the case of simulation, are part of groups whose names do not have the `RATEOF` or `AVG` prefixes, e.g., `PerformanceMeasureType.SERVICELEVEL`, and `PerformanceMeasureType.ABANDONMENTRATIO`. For now, these functions are ratios estimated as follows. Let (X0, Y0),…,(Xn-1, Yn-1) be random vectors generated during an experiment. Pairs of observations can come from independent replications or from batches, depending on the method of experiment. Assuming that

  = Xr→[X]

  and

  = Yr→[Y]

  as n→∞, a simulator estimates the ratio by computing

  =

  which is an estimator of

  = ν.

  At the end of an experiment, a single copy of the estimator is available, and only sample variance and confidence interval are available for , not observations.

### EXPECTATIONOFFUNCTION

    public static final EstimationType EXPECTATIONOFFUNCTION

  Estimation of the expectation of a function of several random variables whose expectations are themselves represented by other types of performance measures. For example, this can be the expectation of a ratio. Expectations of functions are part of groups with names having the `REP` suffix, and have corresponding functions of expectations. They are not recommended for analysis, because their estimators, averages of functions, are more noisy than functions of averages. They correspond to

  ,

  an estimator of

  [].

  When n→∞, this also estimates [X]/[Y]. An average of ratios can be used to estimate a short-term expectation. It is needed when several observations are necessary to compute statistics different from average, sample variance, and confidence intervals, e.g., quantiles.

Method Detail

### values

    public static EstimationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EstimationType c : EstimationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EstimationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.